Skip to main content
API reference

Well-known documents

Generated HTTP reference for the 2 operations the published OpenAPI document describes under .well-known.

1 min read
View MarkdownEdit on GitHub

Well-known documents

This page is generated from the published OpenAPI document. It is complete with respect to that document and says nothing about surfaces the document does not describe yet. See what is generated here for what that means.

Base URL: https://api.codespar.dev

Every operation below requires a Bearer token. See Authentication.

GET /.well-known/oauth-authorization-server

Authorization-server metadata (RFC 8414)

Responses

StatusBodyDescription
200objectOK

Response 200

FieldTypeRequiredDescription
authorization_endpointstringyes
code_challenge_methods_supportedarray of stringyes
grant_types_supportedarray of stringyes
issuerstringyes
registration_endpointstringyes
response_types_supportedarray of stringyes
scopes_supportedarray of stringyes
token_endpointstringyes
token_endpoint_auth_methods_supportedarray of stringyes

Example response

{
  "issuer": "string",
  "authorization_endpoint": "https://example.com/hook",
  "token_endpoint": "https://example.com/hook",
  "registration_endpoint": "https://example.com/hook",
  "response_types_supported": [
    "string"
  ],
  "grant_types_supported": [
    "string"
  ],
  "code_challenge_methods_supported": [
    "string"
  ],
  "token_endpoint_auth_methods_supported": [
    "https://example.com/hook"
  ],
  "scopes_supported": [
    "string"
  ]
}

Example request

curl -X GET https://api.codespar.dev/.well-known/oauth-authorization-server \
  -H "Authorization: Bearer $CODESPAR_API_KEY"

GET /.well-known/oauth-protected-resource

Protected-resource metadata (RFC 9728)

Responses

StatusBodyDescription
200objectOK

Response 200

FieldTypeRequiredDescription
authorization_serversarray of stringyes
bearer_methods_supportedarray of stringyes
resourcestringyes
scopes_supportedarray of stringyes

Example response

{
  "resource": "string",
  "authorization_servers": [
    "string"
  ],
  "bearer_methods_supported": [
    "string"
  ],
  "scopes_supported": [
    "string"
  ]
}

Example request

curl -X GET https://api.codespar.dev/.well-known/oauth-protected-resource \
  -H "Authorization: Bearer $CODESPAR_API_KEY"
Well-known documents | CodeSpar